Skip to main content
Version: Lastest

API Get Account Info

API Get Account Info

Chat with AI▼

EndPoint​

GET /api/v1/users/accounts/info

Header Params​

ParametersRequirementData typeDescriptionNote
Content-TyperequiredStringValue: application/json
{
"Content-Type": "application/json"
}

Request Params​

ParametersRequirementData typeDescriptionNote
tokenrequiredStringUser Access Token

Example Request​

https://ewallet.dev.appotapay.com/api/v1/users/accounts/info?token=YOUR_ACCESS_TOKEN

Response Params​

{
"code": 200,
"message": "OK",
"data": {
"user_id": 1,
"phone_number": "0900000000",
"fullname": "NGUYEN VAN A",
"wallet_balance": 100000000,
"apoint_balance": 10000
}
}

Success​

Http Status Code 200 - OK

ParametersData typeDescriptionNote
codeIntegerError code
messageStringDescription of the error
dataObjectData details
data.user_idStringUser ID
data.phone_numberStringPhone number
data.wallet_balanceIntegerWallet account balance
data.apoint_balanceIntegerThe APoint balance
data.fullnameStringCustomer's full name

Thất bại​

HTTP Status Code != 200

ParametersData typeDescriptionNote
codeIntegerError code
messageStringDescription of the error

Code Examples​

curl --location 'https://ewallet.dev.appotapay.com/api/v1/users/accounts/info?token=c3ec19b7a8d93a7ee7be88aa2f2be328' \
--header 'Content-Type: application/json'

Request​

REQUEST

Development server